Bug 79296 - Tool tip on RP3 dialer does not deactivate
Tool tip on RP3 dialer does not deactivate
Product: Red Hat Linux
Classification: Retired
Component: gtk+ (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-12-09 14:32 EST by Craig Lawson
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-16 12:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Craig Lawson 2002-12-09 14:32:11 EST
Description of Problem:
Tool tip on RP3 dialer gnome applet stays active until a network connection is established. If a connection is never established, the tool tip is not deactivated.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Display the RP3 dialer applet on a gnome panel.
2. Hover over the "connect" button on the applet. Two tool tips are displayed: "Click to connect to ppp0" (or similar) and "Connect". (Hmm, two tool tips at the same time? Could be another bug here.)
3. Click the button. The second tool tip ("Connect") is deactivated. The "Change Connection Status" dialog is displayed
4. In the Change Connection Status window, click "No".
5. The first tool tip ("Click to connect to ppp0") is still displayed. It will continue to be displayed until the cursor is moved onto and away from the "connect" button.

Similar things happen when disconnecting.

Actual Results:
The "Click to connect to ppp0" tool tip stays displayed until the cursor is moved onto and then away from the "connect" button.

Expected Results:
After a few seconds, the tool tip should disappear whether a connection was established or not. The user should not have to take further action to make the tool tip vanish.
Comment 1 Harald Hoyer 2002-12-16 04:43:25 EST
this is more a gtk bug...
Comment 2 Owen Taylor 2002-12-16 10:23:07 EST
This applet wasn't shipped in 8.0, was it? This could easily be a GTK+
bug, an libpanel-applet bug, or an applet bug; but if it is only occurring
in an applet we don't ship anymore, linked against old versions of the 
libraries, I'm just going to close WONTFIX.
Comment 3 Harald Hoyer 2002-12-16 10:26:59 EST
not shipped in 8.0 ... as the bugreport says, this is Version 7.3

Note You need to log in before you can comment on or make changes to this bug.